Tasks
List tasks in a project
x-api-key<token>
In: header
Path Parameters
projectId*string
Query Parameters
limit?integer
Range
value <= 100Default
50offset?integer
Range
0 <= valueDefault
0search?string
parentId?string
Only return subtasks of this task.
Response Body
application/json
curl -X GET "https://example.com/projects/string/tasks"{ "data": [ { "id": "string", "workspaceId": "string", "projectId": "string", "title": "string", "description": "string", "descriptionContent": [ {} ], "statusId": "string", "parentId": "string", "priority": "NO_PRIORITY", "startDate": "2019-08-24T14:15:22Z", "dueDate": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "version": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "assignees": [ { "membershipId": "string", "displayName": "string", "image": "string" } ], "assigneeRoles": [ { "roleId": "string", "name": "string" } ], "label": { "id": "string", "name": "string", "color": "string", "icon": "string", "description": "string" } } ], "meta": { "total": 0, "limit": 0, "offset": 0 }}List roles that can be assigned in a project GET
Workspace roles that can be task assignees in this project: roles with Manage any project, or Editor or Project manager access to the project. Sorted by rank (highest first), then name. Use `roleId` in `assigneeRoleIds`. Needs `PROJECTS_READ` or `TASKS_READ`.
Create a task POST
Creating a task directly in a Done status sets `completedAt` and schedules auto-archive. A status at its blocking WIP limit answers 409. A task created with `parentId` also sends a `task.created` webhook.
Planeward Docs